<?php
/**
 *
 * @package productive-style
 */

require_once PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/common/db/db_install.php';
require_once PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/common/db/db_upgrade.php';
require_once PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/common/activate.php';
require_once PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/common/deactivate.php';

require_once PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/common/post-type/element.php';
require_once PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/common/post-type/service.php';

require_once PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/common/productiveminds-style-options.php';
require PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/common/productive-plugin-customiser.php';

/**
 * Method productive_style_scripts.
 */
function productive_style_scripts() {
        global $productive_style_plugin_version;
        wp_enqueue_style( 'productive_style_style', PRODUCTIVE_STYLE_PLUGIN_URI . 'public/css/style.css', array(), $productive_style_plugin_version );
        wp_enqueue_style( 'productive_style_styles_fonts', PRODUCTIVE_STYLE_PLUGIN_URI . 'public/fonts/google-fonts.css', array( 'productive_style_style' ), $productive_style_plugin_version );
}

/**
 * Method productive_style_scripts.
 */
function productive_style_scripts_inline() {
        global $productive_style_plugin_version;
        $style_css = productive_style_apply_style_css();
        wp_add_inline_style('productive_style_styles_fonts', $style_css);
}
// Default Forms plugin         == 10
// Extra Forms plugin           == 20
// Parent                       == 40
// Child                        == 50
// Default Style plugin    == 60
if ( !is_admin() ) {
    add_action( 'wp_enqueue_scripts', 'productive_style_scripts', 60 );
    //add_action( 'wp_enqueue_scripts', 'productive_style_scripts_inline', 80 );
}
	
